VirtualBox

Ticket #3110 (closed defect: fixed)

Opened 5 years ago

Last modified 4 years ago

Crash under Vista, probably TCP => Fixed in SVN

Reported by: martin Owned by:
Priority: major Component: other
Version: VirtualBox 2.1.2 Keywords:
Cc: Guest type: BSD
Host type: Windows

Description

I have no idea what crashed the VBox (2.1.2), but I guess it was TCP/IP:

The last 2 lines from the log are: 00:19:07.085 NAT: Dropping package (couldn't alloc queue item to) 00:20:10.949 TM: Not bothering to attempt catching up a 63094409950 ns lag; new total: 63094409950

20 minutes would approximately be the time that the VBox was up before it crashed. The crash was reported by windows as: "The application has stopped working"

The box was doing have network traffic at the time (downloading updates), this means it was also writing to disk.

For more Details:

  • Running VBox 2.1.2 on Window Vista (Home premium SP1)
  • Guest if FreeBSD 7 (not sure if related)
  • the command running was "portsnap fetch extract"

Full log will be attached. Ignore the SUSPEND at 2 minutes, this was the host being send to sleep and woken up again (testing)

Attachments

FreeBSD7_0-2009-01-22-19-49-32.log Download (36.4 KB) - added by martin 5 years ago.
log
kubuntu-2009-01-26-13-37-38.log Download (36.5 KB) - added by ken_fallon 5 years ago.
kubuntu-2009-01-29-17-22-00.log Download (38.8 KB) - added by ken_fallon 5 years ago.
kubuntu-2009-01-30-09-56-42.log Download (36.6 KB) - added by ken_fallon 5 years ago.
kubuntu-2009-02-02-14-59-50.log Download (36.9 KB) - added by ken_fallon 5 years ago.

Change History

Changed 5 years ago by martin

log

comment:1 Changed 5 years ago by martin

Details from the windows event log: General page:

Faulting application VirtualBox.exe, version 0.0.0.0, time stamp 0x49776623, faulting module VBoxDD.DLL, version 0.0.0.0, time stamp 0x4977665b, exception code 0xc0000005, fault offset 0x00062396, process id 0xe10, application start time 0x01c97cc7b96f0f36.

Detail Page:

  • <Event xmlns=" http://schemas.microsoft.com/win/2004/08/events/event">
  • <System> <Provider Name="Application Error" /> <EventID Qualifiers="0">1000</EventID> <Level>2</Level> <Task>100</Task> <Keywords>0x80000000000000</Keywords> <TimeCreated SystemTime="2009-01-22T19:48:28.000Z" /> <EventRecordID>27529</EventRecordID> <Channel>Application</Channel> <Computer>martin-PC</Computer> <Security /> </System>
  • <EventData> <Data>VirtualBox.exe</Data> <Data>0.0.0.0</Data> <Data>49776623</Data> <Data>VBoxDD.DLL</Data> <Data>0.0.0.0</Data> <Data>4977665b</Data> <Data>c0000005</Data> <Data>00062396</Data> <Data>e10</Data> <Data>01c97cc7b96f0f36</Data> </EventData> </Event>

comment:2 Changed 5 years ago by martin

I just tested with VBox 2.1.3-42014-Win_x86. I can no longer reproduce the issue.

I did run stress test (including tcp/icmp) for over an hour. On one single occasion I got about a dozend "NAT: Dropping package (couldn't alloc queue item to)" in the log. But I had multiply floodpings, and heavy downloads at that time. So I would see this as expected/normal And the VM was not affected and kept running stable.

Thanks

Changed 5 years ago by ken_fallon

Changed 5 years ago by ken_fallon

Changed 5 years ago by ken_fallon

Changed 5 years ago by ken_fallon

comment:3 Changed 5 years ago by ken_fallon

I am getting crashes on an XP Host, Version 2.1.2 running a Kubuntu Hardy guest.

The machine crashes on a long listing from a konsole ssh session to any solaris box eg: "find /" will result in this crash. Running the same command sshed to a RedHat box works fine.

comment:4 Changed 5 years ago by frank

  • Summary changed from Crash under Vista, probably TCP to Crash under Vista, probably TCP => Fixed in SVN

comment:5 Changed 5 years ago by ken_fallon

Fixed in VirtualBox-2.1.3-42365 - thanks.

comment:6 Changed 5 years ago by sandervl73

  • Status changed from new to closed
  • Resolution set to fixed

comment:7 Changed 4 years ago by Barron123

Resource:  go to my pc

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use